Bug 1017958 - 32 and 64 bit ldns conflicts on some manual pages
32 and 64 bit ldns conflicts on some manual pages
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ldns (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paul Wouters
Fedora Extras Quality Assurance
: Reopened
: 1062874 1079680 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 16:46 EDT by Göran Uddeborg
Modified: 2016-07-19 06:28 EDT (History)
10 users (show)

See Also:
Fixed In Version: ldns-1.6.17-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:28:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cleaned up ldns spec file (14.19 KB, text/x-rpm-spec)
2014-02-18 17:52 EST, Paul Wouters
no flags Details
diff against spec file to make %{perl_vendorarch}/auto/DNS/LDNS/LDNS.so build (799 bytes, text/plain)
2014-03-22 06:05 EDT, Ahmad Samir
no flags Details

  None (edit)
Description Göran Uddeborg 2013-10-10 16:46:08 EDT
Description of problem:
I'm trying to do a yum upgrade from F19 to F20, but not in one big transaction but piecemeal.  If I try to upgrade "ldns", but it fails.  Yum reports conflicts on some of the manual pages.  That surprised me, it usually works just fine to install packages with the same manual pages.  And it only complains about some of the manual pages.

I don't know if this is something wrong in ldns, in yum.  Or maybe I'm doing something stupid?


Version-Release number of selected component (if applicable):
ldns-1.6.16-6.fc20


How reproducible:
Every time


Steps to Reproduce:
On a F19 system with both ldns.x86_64 and ldns.i686 installed:
1. yum --releasever=20 upgrade ldns


Actual results:

Transaction check error:
  file /usr/share/man/man3/ldns_calc_keytag.3.gz conflicts between attempted installs of ldns-1.6.16-6.fc20.i686 and ldns-1.6.16-6.fc20.x86_64
  file /usr/share/man/man3/ldns_key_list_key.3.gz conflicts between attempted installs of ldns-1.6.16-6.fc20.i686 and ldns-1.6.16-6.fc20.x86_64
  file /usr/share/man/man3/ldns_key_list_key_count.3.gz conflicts between attempted installs of ldns-1.6.16-6.fc20.i686 and ldns-1.6.16-6.fc20.x86_64
  file /usr/share/man/man3/ldns_key_list_new.3.gz conflicts between attempted installs of ldns-1.6.16-6.fc20.i686 and ldns-1.6.16-6.fc20.x86_64
  file /usr/share/man/man3/ldns_key_list_pop_key.3.gz conflicts between attempted installs of ldns-1.6.16-6.fc20.i686 and ldns-1.6.16-6.fc20.x86_64
  file /usr/share/man/man3/ldns_key_list_push_key.3.gz conflicts between attempted installs of ldns-1.6.16-6.fc20.i686 and ldns-1.6.16-6.fc20.x86_64
  file /usr/share/man/man3/ldns_rdf_print.3.gz conflicts between attempted installs of ldns-1.6.16-6.fc20.i686 and ldns-1.6.16-6.fc20.x86_64
  file /usr/share/man/man3/ldns_resolver_print.3.gz conflicts between attempted installs of ldns-1.6.16-6.fc20.i686 and ldns-1.6.16-6.fc20.x86_64
  file /usr/share/man/man3/ldns_rr_list_print.3.gz conflicts between attempted installs of ldns-1.6.16-6.fc20.i686 and ldns-1.6.16-6.fc20.x86_64
  file /usr/share/man/man3/ldns_rr_print.3.gz conflicts between attempted installs of ldns-1.6.16-6.fc20.i686 and ldns-1.6.16-6.fc20.x86_64
  file /usr/share/man/man3/ldns_verify_rrsig_dsa.3.gz conflicts between attempted installs of ldns-1.6.16-6.fc20.i686 and ldns-1.6.16-6.fc20.x86_64
  file /usr/share/man/man3/ldns_verify_rrsig_rsamd5.3.gz conflicts between attempted installs of ldns-1.6.16-6.fc20.i686 and ldns-1.6.16-6.fc20.x86_64
  file /usr/share/man/man3/ldns_verify_rrsig_rsasha1.3.gz conflicts between attempted installs of ldns-1.6.16-6.fc20.i686 and ldns-1.6.16-6.fc20.x86_64
  file /usr/share/man/man3/ldns_zone_print.3.gz conflicts between attempted installs of ldns-1.6.16-6.fc20.i686 and ldns-1.6.16-6.fc20.x86_64


Expected results:
I thought they would install in parallel.  Manual pages normally do that.  And it worked with the F19 version of ldns.


Additional info:
I'm aware that doing yum upgrades is not formally supported, especially not piecemeal.  I don't think that is the reason, though.
Comment 1 Tomáš Hozza 2013-10-20 14:23:56 EDT
I checked those man pages and they are indeed different. Some parts are missing
in the 64bit version. However at the moment it is unclear to me why it is so.

It needs some more investigation.
Comment 2 Göran Uddeborg 2013-10-20 16:25:30 EDT
Oh, they actually DO differ!?!  I never checked; I took for granted they were the same.
Comment 3 Stephen Tweedie 2014-02-12 09:48:18 EST
Any update?  I just hit the same issue.
Comment 4 Paul Wouters 2014-02-13 10:24:47 EST
the problem here is really that ldns is both a library and has some userland tools. so you cannot really install two arch's at once because the binaries will also overlap (as well as their man page).

I guess ideally, we would change the package to ldns-libs, ldns and ldns-devel.
Comment 5 Tomáš Hozza 2014-02-14 08:18:23 EST
(In reply to Paul Wouters from comment #4)
> the problem here is really that ldns is both a library and has some userland
> tools. so you cannot really install two arch's at once because the binaries
> will also overlap (as well as their man page).

The problem is not caused by man pages for binaries, but for library functions.
You are right that binaries should be moved somewhere else.

However it still remains unclear why manpages for 32bit and 64bit system are
different. From what I investigated the right ones are from 32bit and 64bit
manpages look incomplete.

I also found out that manpages are build totally 3 times during the package
build due to how targets in Makefile are written and how we build the package.
Manpages are built when:
1. the library is built (make)
2. the doc is built (make doc)
3. we install files (make install)

This is due to using PHONY targets in Makefile which are always out-of-date.

Just a off-topic question: Is there any reason why we don't use configure script
options --with-drill and --with-examples but rather do everything manually?
It would make the SPEC file much more readable and reasonable.

> I guess ideally, we would change the package to ldns-libs, ldns and
> ldns-devel.

I think it would be better to move man3 manpages to the ldns-devel package as it
makes no sense to distribute documentation for library functions if you don't
have the -devel subpackage installed.

I propose to move all tools to new ldns-apps subpackage.
Comment 6 Paul Wouters 2014-02-17 15:18:51 EST
Yes the library man pages need to move to devel. I prefer a name ldns-utls to match it with bind-util. The --with-drill / --with-examples were introduced later and did not work at first. I can see if that's fixed now.
Comment 7 Paul Wouters 2014-02-17 15:52:53 EST
apparently, --with-drill is still broken.
Comment 8 Paul Wouters 2014-02-18 17:51:43 EST
tomas: how about the attached cleaned up ldns spec?
Comment 9 Paul Wouters 2014-02-18 17:52:17 EST
Created attachment 864821 [details]
cleaned up ldns spec file
Comment 10 Paul Wouters 2014-02-25 10:36:27 EST
Tomas? Could you have a look at the attached ldns.spec and see if that works for you?
Comment 11 Tomáš Hozza 2014-03-06 01:53:57 EST
(In reply to Paul Wouters from comment #10)
> Tomas? Could you have a look at the attached ldns.spec and see if that works
> for you?

Hi Paul.

Sorry for the late response.

The SPEC looks good. I have just a small thing, I don't think it is necessary to
rename also the main ldns package to ldns-libs, but if you want to do it like
that I'm OK with it.

However the package does not build in F20 and rawhide with the spec:
http://kojipkgs.fedoraproject.org//work/tasks/4051/6604051/build.log
http://kojipkgs.fedoraproject.org//work/tasks/4054/6604054/build.log
Comment 12 Ahmad Samir 2014-03-22 06:05:18 EDT
Created attachment 877563 [details]
diff against spec file to make %{perl_vendorarch}/auto/DNS/LDNS/LDNS.so build

This is a diff against the spec in comment#9, it should fix the build i.e. %{perl_vendorarch}/auto/DNS/LDNS/LDNS.so builds (as in it links and builds OK but I don't know how to test if it works at runtime).
Comment 13 austinenglish 2014-03-24 01:59:03 EDT
*** Bug 1079680 has been marked as a duplicate of this bug. ***
Comment 14 austinenglish 2014-03-24 02:03:03 EDT
Is there a workaround that can be used to bypass this in the meantime? It blocks installing gnutls-devel for me..
Comment 15 Tomáš Hozza 2014-03-24 05:11:33 EDT
(In reply to Ahmad Samir from comment #12)
> Created attachment 877563 [details]
> diff against spec file to make %{perl_vendorarch}/auto/DNS/LDNS/LDNS.so build
> 
> This is a diff against the spec in comment#9, it should fix the build i.e.
> %{perl_vendorarch}/auto/DNS/LDNS/LDNS.so builds (as in it links and builds
> OK but I don't know how to test if it works at runtime).

Thanks for the patch. It looks reasonable, I'll test it.

(In reply to austinenglish from comment #14)
> Is there a workaround that can be used to bypass this in the meantime? It
> blocks installing gnutls-devel for me..

Unfortunately there is no workaround so far. It needs to be resolved somehow.
Comment 16 austinenglish 2014-03-24 05:23:09 EDT
(In reply to Tomas Hozza from comment #15)
> (In reply to austinenglish from comment #14)
> > Is there a workaround that can be used to bypass this in the meantime? It
> > blocks installing gnutls-devel for me..
> 
> Unfortunately there is no workaround so far. It needs to be resolved somehow.

FYI, from a user's perspective, manually installing ldns.i686 with rpm -i -f works around it (at least for my issue).
Comment 17 Paul Wouters 2014-03-24 10:48:13 EDT
there should be a built in rawhide already for a few weeks? I'll build the other branches now.
Comment 18 Göran Uddeborg 2014-03-24 17:55:07 EDT
> Is there a workaround that can be used to bypass this in the meantime?

The way I did it was to download the package with yumdownloader, and then install using rpm with a selection of --excludepath flags.
Comment 19 Tomáš Hozza 2014-05-06 01:55:15 EDT
*** Bug 1062874 has been marked as a duplicate of this bug. ***
Comment 20 Tomáš Hozza 2014-05-06 01:57:38 EDT
Hi. Note that the ldns package version from rawhide can now be installed
with both versions in parallel. However the issue is still remains if you want
to install the -devel packages...
Comment 21 Tomáš Hozza 2014-05-06 03:13:17 EDT
Reported upstream https://www.nlnetlabs.nl/bugs-script/show_bug.cgi?id=576
Comment 22 Paul Wouters 2014-05-06 15:50:23 EDT
I don't have that problem in rawhide? I just tried the rawhide version compiled on my f19 desktop, ldns-devel-1.6.17-3.fc19.i686 and ldns-devel-1.6.17-3.fc19.x86_64 and rpm -V ldns-devel shows no problems?

paul@bofh:~$ rpm -q ldns-devel
ldns-devel-1.6.17-3.fc19.x86_64
ldns-devel-1.6.17-3.fc19.i686
paul@bofh:~$ rpm -V ldns-devel
paul@bofh:~$ sudo rpm -e ldns-devel-1.6.17-3.fc19.x86_64
paul@bofh:~$ rpm -V ldns-devel
paul@bofh:~$ rpm -q ldns-devel
ldns-devel-1.6.17-3.fc19.i686
paul@bofh:~$
Comment 23 Tomáš Hozza 2014-05-07 05:15:37 EDT
I guess that is because you've built both versions on the same architecture.

Anyway the koji build does not work and with the latest version it is even worse:

[root@unused-4-247 ~]# yum install http://kojipkgs.fedoraproject.org//packages/ldns/1.6.17/4.fc21/i686/ldns-1.6.17-4.fc21.i686.rpm http://kojipkgs.fedoraproject.org//packages/ldns/1.6.17/4.fc21/i686/ldns-devel-1.6.17-4.fc21.i686.rpm http://kojipkgs.fedoraproject.org//packages/ldns/1.6.17/4.fc21/x86_64/ldns-1.6.17-4.fc21.x86_64.rpm http://kojipkgs.fedoraproject.org//packages/ldns/1.6.17/4.fc21/x86_64/ldns-devel-1.6.17-4.fc21.x86_64.rpm http://kojipkgs.fedoraproject.org//packages/ldns/1.6.17/4.fc21/i686/ldns-utils-1.6.17-4.fc21.i686.rpm http://kojipkgs.fedoraproject.org//packages/ldns/1.6.17/4.fc21/x86_64/ldns-utils-1.6.17-4.fc21.x86_64.rpm
Loaded plugins: auto-update-debuginfo, langpacks, refresh-packagekit
ldns-1.6.17-4.fc21.i686.rpm                                                                                                                              | 151 kB  00:00:00     
Examining /var/tmp/yum-root-5aC2Bo/ldns-1.6.17-4.fc21.i686.rpm: ldns-1.6.17-4.fc21.i686
Marking /var/tmp/yum-root-5aC2Bo/ldns-1.6.17-4.fc21.i686.rpm to be installed
ldns-devel-1.6.17-4.fc21.i686.rpm                                                                                                                        | 303 kB  00:00:00     
Examining /var/tmp/yum-root-5aC2Bo/ldns-devel-1.6.17-4.fc21.i686.rpm: ldns-devel-1.6.17-4.fc21.i686
Marking /var/tmp/yum-root-5aC2Bo/ldns-devel-1.6.17-4.fc21.i686.rpm to be installed
ldns-1.6.17-4.fc21.x86_64.rpm                                                                                                                            | 146 kB  00:00:00     
Examining /var/tmp/yum-root-5aC2Bo/ldns-1.6.17-4.fc21.x86_64.rpm: ldns-1.6.17-4.fc21.x86_64
Marking /var/tmp/yum-root-5aC2Bo/ldns-1.6.17-4.fc21.x86_64.rpm to be installed
ldns-devel-1.6.17-4.fc21.x86_64.rpm                                                                                                                      | 301 kB  00:00:00     
Examining /var/tmp/yum-root-5aC2Bo/ldns-devel-1.6.17-4.fc21.x86_64.rpm: ldns-devel-1.6.17-4.fc21.x86_64
Marking /var/tmp/yum-root-5aC2Bo/ldns-devel-1.6.17-4.fc21.x86_64.rpm to be installed
ldns-utils-1.6.17-4.fc21.i686.rpm                                                                                                                        | 177 kB  00:00:01     
Examining /var/tmp/yum-root-5aC2Bo/ldns-utils-1.6.17-4.fc21.i686.rpm: ldns-utils-1.6.17-4.fc21.i686
Marking /var/tmp/yum-root-5aC2Bo/ldns-utils-1.6.17-4.fc21.i686.rpm to be installed
ldns-utils-1.6.17-4.fc21.x86_64.rpm                                                                                                                      | 181 kB  00:00:00     
Examining /var/tmp/yum-root-5aC2Bo/ldns-utils-1.6.17-4.fc21.x86_64.rpm: ldns-utils-1.6.17-4.fc21.x86_64
Marking /var/tmp/yum-root-5aC2Bo/ldns-utils-1.6.17-4.fc21.x86_64.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package ldns.i686 0:1.6.17-4.fc21 will be installed
--> Processing Dependency: libcrypto.so.10 for package: ldns-1.6.17-4.fc21.i686
--> Processing Dependency: libcrypto.so.10(libcrypto.so.10) for package: ldns-1.6.17-4.fc21.i686
--> Processing Dependency: libcrypto.so.10(OPENSSL_1.0.1_EC) for package: ldns-1.6.17-4.fc21.i686
--> Processing Dependency: libc.so.6 for package: ldns-1.6.17-4.fc21.i686
--> Processing Dependency: libc.so.6(GLIBC_2.0) for package: ldns-1.6.17-4.fc21.i686
--> Processing Dependency: libc.so.6(GLIBC_2.1) for package: ldns-1.6.17-4.fc21.i686
--> Processing Dependency: libc.so.6(GLIBC_2.1.3) for package: ldns-1.6.17-4.fc21.i686
--> Processing Dependency: libc.so.6(GLIBC_2.15) for package: ldns-1.6.17-4.fc21.i686
--> Processing Dependency: libc.so.6(GLIBC_2.3) for package: ldns-1.6.17-4.fc21.i686
--> Processing Dependency: libc.so.6(GLIBC_2.3.4) for package: ldns-1.6.17-4.fc21.i686
--> Processing Dependency: libc.so.6(GLIBC_2.4) for package: ldns-1.6.17-4.fc21.i686
--> Processing Dependency: libdl.so.2 for package: ldns-1.6.17-4.fc21.i686
---> Package ldns.x86_64 0:1.6.17-4.fc21 will be installed
---> Package ldns-devel.i686 0:1.6.17-4.fc21 will be installed
---> Package ldns-devel.x86_64 0:1.6.17-4.fc21 will be installed
---> Package ldns-utils.i686 0:1.6.17-4.fc21 will be installed
--> Processing Dependency: libpcap.so.1 for package: ldns-utils-1.6.17-4.fc21.i686
---> Package ldns-utils.x86_64 0:1.6.17-4.fc21 will be installed
--> Running transaction check
---> Package glibc.i686 0:2.18-12.fc20 will be installed
--> Processing Dependency: libfreebl3.so(NSSRAWHASH_3.12.3) for package: glibc-2.18-12.fc20.i686
--> Processing Dependency: libfreebl3.so for package: glibc-2.18-12.fc20.i686
---> Package libpcap.i686 14:1.5.3-1.fc20 will be installed
---> Package openssl-libs.x86_64 1:1.0.1e-37.fc20 will be updated
--> Processing Dependency: openssl-libs(x86-64) = 1:1.0.1e-37.fc20 for package: 1:openssl-1.0.1e-37.fc20.x86_64
---> Package openssl-libs.i686 1:1.0.1e-37.fc20.1 will be installed
--> Processing Dependency: libz.so.1 for package: 1:openssl-libs-1.0.1e-37.fc20.1.i686
--> Processing Dependency: libkrb5.so.3(krb5_3_MIT) for package: 1:openssl-libs-1.0.1e-37.fc20.1.i686
--> Processing Dependency: libkrb5.so.3 for package: 1:openssl-libs-1.0.1e-37.fc20.1.i686
--> Processing Dependency: libk5crypto.so.3(k5crypto_3_MIT) for package: 1:openssl-libs-1.0.1e-37.fc20.1.i686
--> Processing Dependency: libk5crypto.so.3 for package: 1:openssl-libs-1.0.1e-37.fc20.1.i686
--> Processing Dependency: libgssapi_krb5.so.2 for package: 1:openssl-libs-1.0.1e-37.fc20.1.i686
--> Processing Dependency: libcom_err.so.2 for package: 1:openssl-libs-1.0.1e-37.fc20.1.i686
---> Package openssl-libs.x86_64 1:1.0.1e-37.fc20.1 will be an update
--> Running transaction check
---> Package krb5-libs.x86_64 0:1.11.5-4.fc20 will be updated
---> Package krb5-libs.i686 0:1.11.5-5.fc20 will be installed
--> Processing Dependency: libverto.so.1 for package: krb5-libs-1.11.5-5.fc20.i686
--> Processing Dependency: libselinux.so.1 for package: krb5-libs-1.11.5-5.fc20.i686
--> Processing Dependency: libkeyutils.so.1(KEYUTILS_1.5) for package: krb5-libs-1.11.5-5.fc20.i686
--> Processing Dependency: libkeyutils.so.1(KEYUTILS_1.0) for package: krb5-libs-1.11.5-5.fc20.i686
--> Processing Dependency: libkeyutils.so.1(KEYUTILS_0.3) for package: krb5-libs-1.11.5-5.fc20.i686
--> Processing Dependency: libkeyutils.so.1 for package: krb5-libs-1.11.5-5.fc20.i686
---> Package krb5-libs.x86_64 0:1.11.5-5.fc20 will be an update
---> Package libcom_err.i686 0:1.42.8-3.fc20 will be installed
---> Package nss-softokn-freebl.i686 0:3.16.0-1.fc20 will be installed
---> Package openssl.x86_64 1:1.0.1e-37.fc20 will be updated
---> Package openssl.x86_64 1:1.0.1e-37.fc20.1 will be an update
---> Package zlib.i686 0:1.2.8-3.fc20 will be installed
--> Running transaction check
---> Package keyutils-libs.i686 0:1.5.9-1.fc20 will be installed
---> Package libselinux.i686 0:2.2.1-6.fc20 will be installed
--> Processing Dependency: libpcre.so.1 for package: libselinux-2.2.1-6.fc20.i686
--> Processing Dependency: liblzma.so.5(XZ_5.0) for package: libselinux-2.2.1-6.fc20.i686
--> Processing Dependency: liblzma.so.5 for package: libselinux-2.2.1-6.fc20.i686
---> Package libverto.i686 0:0.2.5-3.fc20 will be installed
--> Running transaction check
---> Package pcre.i686 0:8.33-4.fc20 will be installed
--> Processing Dependency: libstdc++.so.6(GLIBCXX_3.4.9) for package: pcre-8.33-4.fc20.i686
--> Processing Dependency: libstdc++.so.6(GLIBCXX_3.4) for package: pcre-8.33-4.fc20.i686
--> Processing Dependency: libstdc++.so.6(CXXABI_1.3) for package: pcre-8.33-4.fc20.i686
--> Processing Dependency: libstdc++.so.6 for package: pcre-8.33-4.fc20.i686
--> Processing Dependency: libgcc_s.so.1(GCC_3.0) for package: pcre-8.33-4.fc20.i686
--> Processing Dependency: libgcc_s.so.1 for package: pcre-8.33-4.fc20.i686
---> Package xz-libs.x86_64 0:5.1.2-6alpha.fc20 will be updated
--> Processing Dependency: xz-libs = 5.1.2-6alpha.fc20 for package: xz-5.1.2-6alpha.fc20.x86_64
---> Package xz-libs.i686 0:5.1.2-8alpha.fc20 will be installed
---> Package xz-libs.x86_64 0:5.1.2-8alpha.fc20 will be an update
--> Running transaction check
---> Package libgcc.i686 0:4.8.2-7.fc20 will be installed
---> Package libstdc++.i686 0:4.8.2-7.fc20 will be installed
---> Package xz.x86_64 0:5.1.2-6alpha.fc20 will be updated
---> Package xz.x86_64 0:5.1.2-8alpha.fc20 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================================================================================================================
 Package                                  Arch                         Version                                     Repository                                              Size
================================================================================================================================================================================
Installing:
 ldns                                     i686                         1.6.17-4.fc21                               /ldns-1.6.17-4.fc21.i686                               374 k
 ldns                                     x86_64                       1.6.17-4.fc21                               /ldns-1.6.17-4.fc21.x86_64                             389 k
 ldns-devel                               i686                         1.6.17-4.fc21                               /ldns-devel-1.6.17-4.fc21.i686                         908 k
 ldns-devel                               x86_64                       1.6.17-4.fc21                               /ldns-devel-1.6.17-4.fc21.x86_64                       908 k
 ldns-utils                               i686                         1.6.17-4.fc21                               /ldns-utils-1.6.17-4.fc21.i686                         477 k
 ldns-utils                               x86_64                       1.6.17-4.fc21                               /ldns-utils-1.6.17-4.fc21.x86_64                       542 k
Installing for dependencies:
 glibc                                    i686                         2.18-12.fc20                                updates                                                4.2 M
 keyutils-libs                            i686                         1.5.9-1.fc20                                updates                                                 40 k
 krb5-libs                                i686                         1.11.5-5.fc20                               updates                                                811 k
 libcom_err                               i686                         1.42.8-3.fc20                               fedora                                                  39 k
 libgcc                                   i686                         4.8.2-7.fc20                                updates                                                 94 k
 libpcap                                  i686                         14:1.5.3-1.fc20                             updates                                                137 k
 libselinux                               i686                         2.2.1-6.fc20                                updates                                                142 k
 libstdc++                                i686                         4.8.2-7.fc20                                updates                                                299 k
 libverto                                 i686                         0.2.5-3.fc20                                fedora                                                  16 k
 nss-softokn-freebl                       i686                         3.16.0-1.fc20                               updates                                                183 k
 openssl-libs                             i686                         1:1.0.1e-37.fc20.1                          updates                                                902 k
 pcre                                     i686                         8.33-4.fc20                                 updates                                                449 k
 xz-libs                                  i686                         5.1.2-8alpha.fc20                           updates                                                108 k
 zlib                                     i686                         1.2.8-3.fc20                                fedora                                                  91 k
Updating for dependencies:
 krb5-libs                                x86_64                       1.11.5-5.fc20                               updates                                                812 k
 openssl                                  x86_64                       1:1.0.1e-37.fc20.1                          updates                                                705 k
 openssl-libs                             x86_64                       1:1.0.1e-37.fc20.1                          updates                                                916 k
 xz                                       x86_64                       5.1.2-8alpha.fc20                           updates                                                200 k
 xz-libs                                  x86_64                       5.1.2-8alpha.fc20                           updates                                                102 k

Transaction Summary
================================================================================================================================================================================
Install  6 Packages (+14 Dependent packages)
Upgrade             (  5 Dependent packages)

Total size: 14 M
Total download size: 137 k
Is this ok [y/d/N]: y
Downloading packages:
libpcap-1.5.3-1.fc20.i686.rpm                                                                                                                            | 137 kB  00:00:02     
Running transaction check
Running transaction test


Transaction check error:
  file /usr/bin/drill conflicts between attempted installs of ldns-utils-1.6.17-4.fc21.i686 and ldns-utils-1.6.17-4.fc21.x86_64
  file /usr/bin/ldns-chaos conflicts between attempted installs of ldns-utils-1.6.17-4.fc21.i686 and ldns-utils-1.6.17-4.fc21.x86_64
  file /usr/bin/ldns-compare-zones conflicts between attempted installs of ldns-utils-1.6.17-4.fc21.i686 and ldns-utils-1.6.17-4.fc21.x86_64
  file /usr/bin/ldns-dane conflicts between attempted installs of ldns-utils-1.6.17-4.fc21.i686 and ldns-utils-1.6.17-4.fc21.x86_64
  file /usr/bin/ldns-dpa conflicts between attempted installs of ldns-utils-1.6.17-4.fc21.i686 and ldns-utils-1.6.17-4.fc21.x86_64
  file /usr/bin/ldns-gen-zone conflicts between attempted installs of ldns-utils-1.6.17-4.fc21.i686 and ldns-utils-1.6.17-4.fc21.x86_64
  file /usr/bin/ldns-key2ds conflicts between attempted installs of ldns-utils-1.6.17-4.fc21.i686 and ldns-utils-1.6.17-4.fc21.x86_64
  file /usr/bin/ldns-keyfetcher conflicts between attempted installs of ldns-utils-1.6.17-4.fc21.i686 and ldns-utils-1.6.17-4.fc21.x86_64
  file /usr/bin/ldns-keygen conflicts between attempted installs of ldns-utils-1.6.17-4.fc21.i686 and ldns-utils-1.6.17-4.fc21.x86_64
  file /usr/bin/ldns-mx conflicts between attempted installs of ldns-utils-1.6.17-4.fc21.i686 and ldns-utils-1.6.17-4.fc21.x86_64
  file /usr/bin/ldns-notify conflicts between attempted installs of ldns-utils-1.6.17-4.fc21.i686 and ldns-utils-1.6.17-4.fc21.x86_64
  file /usr/bin/ldns-nsec3-hash conflicts between attempted installs of ldns-utils-1.6.17-4.fc21.i686 and ldns-utils-1.6.17-4.fc21.x86_64
  file /usr/bin/ldns-read-zone conflicts between attempted installs of ldns-utils-1.6.17-4.fc21.i686 and ldns-utils-1.6.17-4.fc21.x86_64
  file /usr/bin/ldns-resolver conflicts between attempted installs of ldns-utils-1.6.17-4.fc21.i686 and ldns-utils-1.6.17-4.fc21.x86_64
  file /usr/bin/ldns-revoke conflicts between attempted installs of ldns-utils-1.6.17-4.fc21.i686 and ldns-utils-1.6.17-4.fc21.x86_64
  file /usr/bin/ldns-rrsig conflicts between attempted installs of ldns-utils-1.6.17-4.fc21.i686 and ldns-utils-1.6.17-4.fc21.x86_64
  file /usr/bin/ldns-signzone conflicts between attempted installs of ldns-utils-1.6.17-4.fc21.i686 and ldns-utils-1.6.17-4.fc21.x86_64
  file /usr/bin/ldns-test-edns conflicts between attempted installs of ldns-utils-1.6.17-4.fc21.i686 and ldns-utils-1.6.17-4.fc21.x86_64
  file /usr/bin/ldns-testns conflicts between attempted installs of ldns-utils-1.6.17-4.fc21.i686 and ldns-utils-1.6.17-4.fc21.x86_64
  file /usr/bin/ldns-update conflicts between attempted installs of ldns-utils-1.6.17-4.fc21.i686 and ldns-utils-1.6.17-4.fc21.x86_64
  file /usr/bin/ldns-verify-zone conflicts between attempted installs of ldns-utils-1.6.17-4.fc21.i686 and ldns-utils-1.6.17-4.fc21.x86_64
  file /usr/bin/ldns-version conflicts between attempted installs of ldns-utils-1.6.17-4.fc21.i686 and ldns-utils-1.6.17-4.fc21.x86_64
  file /usr/bin/ldns-walk conflicts between attempted installs of ldns-utils-1.6.17-4.fc21.i686 and ldns-utils-1.6.17-4.fc21.x86_64
  file /usr/bin/ldns-zcat conflicts between attempted installs of ldns-utils-1.6.17-4.fc21.i686 and ldns-utils-1.6.17-4.fc21.x86_64
  file /usr/bin/ldns-zsplit conflicts between attempted installs of ldns-utils-1.6.17-4.fc21.i686 and ldns-utils-1.6.17-4.fc21.x86_64
  file /usr/bin/ldnsd conflicts between attempted installs of ldns-utils-1.6.17-4.fc21.i686 and ldns-utils-1.6.17-4.fc21.x86_64
  file /usr/share/man/man3/ldns_calc_keytag.3.gz conflicts between attempted installs of ldns-devel-1.6.17-4.fc21.i686 and ldns-devel-1.6.17-4.fc21.x86_64
  file /usr/share/man/man3/ldns_key_algorithm.3.gz conflicts between attempted installs of ldns-devel-1.6.17-4.fc21.i686 and ldns-devel-1.6.17-4.fc21.x86_64
  file /usr/share/man/man3/ldns_key_buf2dsa.3.gz conflicts between attempted installs of ldns-devel-1.6.17-4.fc21.i686 and ldns-devel-1.6.17-4.fc21.x86_64
  file /usr/share/man/man3/ldns_key_buf2rsa.3.gz conflicts between attempted installs of ldns-devel-1.6.17-4.fc21.i686 and ldns-devel-1.6.17-4.fc21.x86_64
  file /usr/share/man/man3/ldns_key_dsa_key.3.gz conflicts between attempted installs of ldns-devel-1.6.17-4.fc21.i686 and ldns-devel-1.6.17-4.fc21.x86_64
  file /usr/share/man/man3/ldns_key_expiration.3.gz conflicts between attempted installs of ldns-devel-1.6.17-4.fc21.i686 and ldns-devel-1.6.17-4.fc21.x86_64
  file /usr/share/man/man3/ldns_key_flags.3.gz conflicts between attempted installs of ldns-devel-1.6.17-4.fc21.i686 and ldns-devel-1.6.17-4.fc21.x86_64
  file /usr/share/man/man3/ldns_key_hmac_key.3.gz conflicts between attempted installs of ldns-devel-1.6.17-4.fc21.i686 and ldns-devel-1.6.17-4.fc21.x86_64
  file /usr/share/man/man3/ldns_key_inception.3.gz conflicts between attempted installs of ldns-devel-1.6.17-4.fc21.i686 and ldns-devel-1.6.17-4.fc21.x86_64
  file /usr/share/man/man3/ldns_key_keytag.3.gz conflicts between attempted installs of ldns-devel-1.6.17-4.fc21.i686 and ldns-devel-1.6.17-4.fc21.x86_64
  file /usr/share/man/man3/ldns_key_list_key.3.gz conflicts between attempted installs of ldns-devel-1.6.17-4.fc21.i686 and ldns-devel-1.6.17-4.fc21.x86_64
  file /usr/share/man/man3/ldns_key_list_key_count.3.gz conflicts between attempted installs of ldns-devel-1.6.17-4.fc21.i686 and ldns-devel-1.6.17-4.fc21.x86_64
  file /usr/share/man/man3/ldns_key_origttl.3.gz conflicts between attempted installs of ldns-devel-1.6.17-4.fc21.i686 and ldns-devel-1.6.17-4.fc21.x86_64
  file /usr/share/man/man3/ldns_key_pubkey_owner.3.gz conflicts between attempted installs of ldns-devel-1.6.17-4.fc21.i686 and ldns-devel-1.6.17-4.fc21.x86_64
  file /usr/share/man/man3/ldns_key_rr2ds.3.gz conflicts between attempted installs of ldns-devel-1.6.17-4.fc21.i686 and ldns-devel-1.6.17-4.fc21.x86_64
  file /usr/share/man/man3/ldns_key_rsa_key.3.gz conflicts between attempted installs of ldns-devel-1.6.17-4.fc21.i686 and ldns-devel-1.6.17-4.fc21.x86_64
  file /usr/share/man/man3/ldns_pkt_print.3.gz conflicts between attempted installs of ldns-devel-1.6.17-4.fc21.i686 and ldns-devel-1.6.17-4.fc21.x86_64
  file /usr/share/man/man3/ldns_rdf_print.3.gz conflicts between attempted installs of ldns-devel-1.6.17-4.fc21.i686 and ldns-devel-1.6.17-4.fc21.x86_64
  file /usr/share/man/man3/ldns_resolver_print.3.gz conflicts between attempted installs of ldns-devel-1.6.17-4.fc21.i686 and ldns-devel-1.6.17-4.fc21.x86_64
  file /usr/share/man/man3/ldns_rr_list_print.3.gz conflicts between attempted installs of ldns-devel-1.6.17-4.fc21.i686 and ldns-devel-1.6.17-4.fc21.x86_64
  file /usr/share/man/man3/ldns_rr_print.3.gz conflicts between attempted installs of ldns-devel-1.6.17-4.fc21.i686 and ldns-devel-1.6.17-4.fc21.x86_64
  file /usr/share/man/man3/ldns_verify.3.gz conflicts between attempted installs of ldns-devel-1.6.17-4.fc21.i686 and ldns-devel-1.6.17-4.fc21.x86_64
  file /usr/share/man/man3/ldns_verify_notime.3.gz conflicts between attempted installs of ldns-devel-1.6.17-4.fc21.i686 and ldns-devel-1.6.17-4.fc21.x86_64
  file /usr/share/man/man3/ldns_verify_rrsig.3.gz conflicts between attempted installs of ldns-devel-1.6.17-4.fc21.i686 and ldns-devel-1.6.17-4.fc21.x86_64
  file /usr/share/man/man3/ldns_verify_rrsig_dsa.3.gz conflicts between attempted installs of ldns-devel-1.6.17-4.fc21.i686 and ldns-devel-1.6.17-4.fc21.x86_64
  file /usr/share/man/man3/ldns_verify_rrsig_keylist.3.gz conflicts between attempted installs of ldns-devel-1.6.17-4.fc21.i686 and ldns-devel-1.6.17-4.fc21.x86_64
  file /usr/share/man/man3/ldns_verify_rrsig_keylist_notime.3.gz conflicts between attempted installs of ldns-devel-1.6.17-4.fc21.i686 and ldns-devel-1.6.17-4.fc21.x86_64
  file /usr/share/man/man3/ldns_verify_rrsig_rsamd5.3.gz conflicts between attempted installs of ldns-devel-1.6.17-4.fc21.i686 and ldns-devel-1.6.17-4.fc21.x86_64
  file /usr/share/man/man3/ldns_verify_rrsig_rsasha1.3.gz conflicts between attempted installs of ldns-devel-1.6.17-4.fc21.i686 and ldns-devel-1.6.17-4.fc21.x86_64
  file /usr/share/man/man3/ldns_zone_print.3.gz conflicts between attempted installs of ldns-devel-1.6.17-4.fc21.i686 and ldns-devel-1.6.17-4.fc21.x86_64

Error Summary
-------------

Also I don't see a reason why the ldns library should require ldns-utils.
Users that does not need utils will have them installed if ldns library
is pulled in into transaction when installing some other package.
Comment 24 Paul Wouters 2014-05-07 13:08:00 EDT
The reason is that if someone installed "ldns" to get a utility command, and they run "yum update", they would _lose_ that command silently. That is the reason for temporarily requiring ldns-utils for ldns during this release.

I'll see if i can make it work with multilib
Comment 25 Tuomo Soini 2014-05-07 16:10:09 EDT
Solution is to have ldns-utils basearch only - there is no need to have "multilib" versions of binaries.
Comment 26 Fedora Update System 2014-09-30 16:30:33 EDT
ldns-1.6.17-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ldns-1.6.17-1.el6
Comment 27 Fedora Update System 2014-10-01 13:19:10 EDT
Package ldns-1.6.17-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing ldns-1.6.17-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-3060/ldns-1.6.17-1.el6
then log in and leave karma (feedback).
Comment 28 LiZhenbo 2014-10-01 20:57:54 EDT
Will the package for fedora20 be submitted to test?
Comment 29 Paul Wouters 2014-10-01 21:07:30 EDT
I'm actually going to pull today's updates to incorporate a fix in ldns-config, that's currently built in rawhide. If I get positive feedback tomorrow, I will build packages for all branches including fedora20
Comment 30 Fedora Update System 2014-10-17 13:41:12 EDT
ldns-1.6.17-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 31 Göran Uddeborg 2014-10-17 15:12:00 EDT
It's of course good that the EPEL version is fixed.  But since the report is about Fedora, I'm reopening hoping for a fix there too.
Comment 32 Fedora End Of Life 2015-05-29 05:33:13 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 33 LiZhenbo 2015-05-29 05:58:18 EDT
This bug has been fixed in Fedora 22
Comment 34 Göran Uddeborg 2015-06-04 15:14:43 EDT
(In reply to LiZhenbo from comment #33)
> This bug has been fixed in Fedora 22

Unfortunately, that is not the case.  The manual pages now belong to another subpackage, ldns-devel.  But trying to install both the i686 and x86_64 versions of ldns-devel-1.6.17-12.fc22 still gives the same problem as in the original description.  Not exactly the same list of manual pages, but the same kind of problem.
Comment 35 Tomáš Hozza 2015-06-05 03:14:30 EDT
I spent non-trivial amount of time trying to resolve the issue in the past. The problem is that man pages are generated a custom Perl script and there seemed to be no obvious issue. I reported the issue to upstream, but without any response.

Changing to NEW, since the issue is apparently not fixed.
Comment 36 Fedora End Of Life 2016-07-19 06:28:31 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.